<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:epub="http://www.idpf.org/2007/ops" lang="fr" xml:lang="fr">
  <head>
    <title>Table of Contents</title>
  </head>
  <body>
    <nav epub:type="toc">
      <h1>Table of Contents</h1>
      <ol>
        <li>
          <a href="index.xhtml">Welcome to the Metark documentation</a>
        </li>
        <li>
          <a href="overview_objectifs.xhtml">Objectives</a>
          <ol>
            <li>
              <a href="overview_objectifs.xhtml#why-metark">Why Metark ?</a>
            </li>
            <li>
              <a href="overview_objectifs.xhtml#the-proposed-solution">The proposed solution</a>
            </li>
          </ol>
        </li>
        <li>
          <a href="overview_points_forts.xhtml">Strengths of the project</a>
          <ol>
            <li>
              <a href="overview_points_forts.xhtml#quality-controls">Quality controls</a>
            </li>
            <li>
              <a href="overview_points_forts.xhtml#api">API</a>
            </li>
            <li>
              <a href="overview_points_forts.xhtml#reproducibility">Reproducibility</a>
            </li>
            <li>
              <a href="overview_points_forts.xhtml#open-source-technologies">Open source technologies</a>
            </li>
          </ol>
        </li>
        <li>
          <a href="dev_requirements.xhtml">Requirements</a>
          <ol>
            <li>
              <a href="dev_requirements.xhtml#docker">Docker</a>
            </li>
            <li>
              <a href="dev_requirements.xhtml#docker-compose">Docker-compose</a>
            </li>
            <li>
              <a href="dev_requirements.xhtml#gitlab">GitLab</a>
            </li>
          </ol>
        </li>
        <li>
          <a href="dev_django.xhtml">Django</a>
          <ol>
            <li>
              <a href="dev_django.xhtml#create-a-new-app">Create a new app</a>
            </li>
            <li>
              <a href="dev_django.xhtml#composition-of-a-django-application">Composition of a Django application</a>
            </li>
            <li>
              <a href="dev_django.xhtml#make-migrations-in-database">Make migrations in database</a>
            </li>
          </ol>
        </li>
        <li>
          <a href="dev_code_quality.xhtml">Code quality</a>
          <ol>
            <li>
              <a href="dev_code_quality.xhtml#overview">Overview</a>
            </li>
            <li>
              <a href="dev_code_quality.xhtml#coverage">Coverage</a>
            </li>
            <li>
              <a href="dev_code_quality.xhtml#flake8">Flake8</a>
            </li>
          </ol>
        </li>
        <li>
          <a href="dev_isa.xhtml">Application ISA</a>
          <ol>
            <li>
              <a href="dev_isa.xhtml#how-to-add-an-api">How to add an API?</a>
            </li>
            <li>
              <a href="dev_isa.xhtml#key-files-of-the-isa-application">Key files of the « ISA » application</a>
              <ol>
                <li>
                  <a href="dev_isa.xhtml#module-apps.isa.apis">api.py</a>
                </li>
                <li>
                  <a href="dev_isa.xhtml#serializers-py">serializers.py</a>
                </li>
                <li>
                  <a href="dev_isa.xhtml#module-apps.isa.tests">test.py</a>
                </li>
              </ol>
            </li>
          </ol>
        </li>
        <li>
          <a href="dev_documentation.xhtml">Gestion de la documentation</a>
          <ol>
            <li>
              <a href="dev_documentation.xhtml#la-page-de-configuration">La page de configuration</a>
            </li>
            <li>
              <a href="dev_documentation.xhtml#la-page-d-index">La page d’index</a>
            </li>
            <li>
              <a href="dev_documentation.xhtml#les-pages-de-documentation">Les pages de documentation</a>
            </li>
            <li>
              <a href="dev_documentation.xhtml#generer-les-pages-html">Générer les pages HTML</a>
              <ol>
                <li>
                  <a href="dev_documentation.xhtml#pdf">1 - PDF</a>
                </li>
                <li>
                  <a href="dev_documentation.xhtml#epub">2 - EPUB</a>
                </li>
                <li>
                  <a href="dev_documentation.xhtml#html">3- HTML</a>
                </li>
                <li>
                  <a href="dev_documentation.xhtml#un-script">4- Un script</a>
                </li>
              </ol>
            </li>
          </ol>
        </li>
      </ol>
    </nav>
  </body>
</html>